<?php
if (!defined('ABSPATH')) exit; // Exit if accessed directly

settings_fields('settings_group');
$host = rawurlencode($_SERVER['HTTP_HOST']);
$path = rawurlencode($_SERVER['REQUEST_URI']);
$link = 'https://getchipbot.com/?utm_source=wordpress&utm_medium=plugin&utm_content=' . $host . $path;
$nonce = wp_verify_nonce($_POST['chipbot_settings_form'], 'chipbot_form_update');
$queries = array();
parse_str($_SERVER['QUERY_STRING'], $queries);
$adminPath = get_admin_url() . 'admin.php?page=getchipbot-com&saved=true';
$pluginPath = plugins_url('chipbot');
?>

<div class="wrap">
  <div class="postbox" style="padding: 15px;">
    <img
      style="margin-bottom: 10px;"
      src="<?php echo $pluginPath; ?>/cb-logo-2.svg"
      alt="GetChipBot.com"
    />

    <h3>Thanks for trying out ChipBot</h3>
    <p>
      If you don't have an Account ID, sign up at
      <a href="<?php echo $link; ?>" target="_blank" rel="noreferrer noopener nofollow">https://getchipbot.com</a>.
      It takes less than
      a few minutes to get this setup!
    </p>

    <a class="button button-primary" href="<?php echo $link; ?>" target="_blank"
      rel="noreferrer noopener nofollow">
      Sign Up
    </a>
  </div>

  <form
    method="post"
    action="options.php"
    style="padding: 0 15px 15px;"
    class=""
  >

    <h3>ChipBot Setup</h3>
    <?php
    settings_fields('settings_group');
    ?>

    <table class="form-table">
      <tbody>
        <tr>
          <td width="200">
            ChipBot Code Snippet
          </td>
          <td>
            <textarea
              style="width: 100%; min-height: 200px;"
              name="chipbot_js_snippet"
              id="chipbot_js_snippet"
              type="text"
              class="regular-text"
            ><?php echo get_option('chipbot_js_snippet') ?></textarea>
          </td>
        </tr>
      </tbody>
    </table>

    <h3>Install Instruction Video</h3>
    <iframe width="560" height="315" src="https://www.youtube.com/embed/MxfAcPsPTdk" frameborder="0"
      allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
      allowfullscreen></iframe>

    <input
      type="hidden"
      name="_wp_http_referer"
      value="<?php echo $adminPath ?>"
    >
    <?php if ($queries['saved']) { ?>
      <div class="notice notice-success" style="padding: 20px;">
        Your ChipBot settings are now saved! Go check your homepage to see your ChipBot.
      </div>
    <?php } ?>

    <?php
    if (isset($_POST['chipbot_settings_form']) && !$nonce) { ?>
      <div class="error">
        <p>For some reason, WordPress didn't feel like saving your data. Please try again.</p>
      </div>
    <?php } ?>

    <?php wp_nonce_field('chipbot_form_update', 'chipbot_settings_form'); ?>

    <input type="hidden" name="_wp_http_referer"
      value="<?php echo $adminPath ?>">


    <div class="chipbot-submit">
      <?php submit_button(); ?>
    </div>

    <p>
      For support, you can reach us directly on
      <a href="https://getchipbot.com?utm_source=wordpress&utm_medium=support" target="_blank"
        rel="noreferrer noopener nofollow">https://getchipbot.com</a>
      or email
      <a href="mailto:support@getchipbot.com">support@getchipbot.com</a>.
    </p>
  </form>
</div>
